Subject: Re: CR_LDP Label Set question.

From: Lou Berger <[email-masked]>
Date: Tue, 01 May 2001 17:04:33 -0400

See below.

At 03:57 PM 4/25/01, Saha, Sayandeb wrote:
>Hi,
>[...]
>       Label Type: 8 bits
>
>          Indicates the type and format of the labels carried in the TLV.
>          Values match the TLV type of the appropriate Label TLV.
>
>       How can a size of 8 bits for Label Type field suffice when clearly the
>tlv types are
>       much bigger in size like 0x0905 which require 12 bits.
>
>       Does this suggest the use of only the last octet of tlv_type in the
>Label Type field??
>
>-sayan

No, it suggests a bug in the documents.  It's been fixed a new version has 
been submitted and is available at:

         http://www.labn.net/docs/draft-ietf-mpls-generalized-signaling-04.txt
         http://www.labn.net/docs/draft-ietf-mpls-generalized-cr-ldp-03.txt
         http://www.labn.net/docs/draft-ietf-mpls-generalized-rsvp-te-03.txt

Good catch & thanks,

Lou